Skip to main content
PUT
cURL

Authorizations

Authorization
string
header
required

API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here

Path Parameters

id
string<uuid>
required

Detection UUID

Body

application/json
enabled
boolean
required

Whether output delivery is enabled

destinationIds
string<uuid>[]
required

The output destinations to use

sendMode
enum<string>
required

What entities to send

Available options:
triggered_entities_only,
all_entities
minSeverity
enum<string>

Minimum entity severity eligible for output delivery; defaults to high when omitted

Available options:
low,
medium,
high,
critical
inheritOrgDefault
boolean

When true, remove the detection override and inherit organization defaults

Response

Successful response

id
string<uuid>
required

Unique identifier for the settings

organizationId
string<uuid>
required

Organization that owns this settings

agentId
string<uuid>
required

Agent these settings apply to

enabled
boolean
required

Whether output delivery is enabled

destinationIds
string<uuid>[]
required

The output destinations to use

sendMode
enum<string>
required

What entities to send

Available options:
triggered_entities_only,
all_entities
minSeverity
enum<string>
required

Minimum entity severity eligible for detection output delivery

Available options:
low,
medium,
high,
critical
createdAt
string
required

When the settings were created

updatedAt
string
required

When the settings were last updated

acNotificationsEnabled
boolean

Whether acceptance criteria failure notifications are enabled

acNotificationDestinationIds
string<uuid>[]

Destinations for acceptance criteria failure notifications

acNotificationsInheritOrgDefault
boolean

Whether response-agent failure/critical notifications inherit organization defaults

settings
object | null

Override settings for this detection, if configured

effectiveSettings
object

Effective output settings after applying organization defaults

organizationDefaultSettings
object

Organization-wide default output settings for detections

destinations
object[]

Available output destinations for the organization